List products in an inventory change
curl --request GET \
--url https://api.maxcare.ai/v4/inventory/changes/{id}/products \
--header 'Authorization: Bearer <token>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://api.maxcare.ai/v4/inventory/changes/{id}/products"
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Organization-Id': '<x-organization-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.maxcare.ai/v4/inventory/changes/{id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"items": [
{
"id": "cit_a3b4c5d6e7f84a9b0c1d2e3f4a5b6c7d",
"changeId": "chg_f2a3b4c5d6e74f8a9b0c1d2e3f4a5b6c",
"scanSourceType": "product_packaging",
"rawBarcode": "01008142609915171726083110A1B2C3",
"gtin": "00814260991517",
"lotNumber": "A1B2C3",
"expirationDate": "2026-08-31",
"serialNumber": null,
"quantity": 2,
"parsedFields": {
"10": "A1B2C3",
"17": "260831",
"01": "00814260991517"
},
"notes": null,
"createdAt": "2025-01-20T09:15:00.000Z",
"product": {
"id": "prd_b4c5d6e7f8a94b0c1d2e3f4a5b6c7d8e",
"gtin": "00814260991517",
"additionalGtins": [
"00814260991524"
],
"customBarcode": null,
"ndc": "0002-1365-01",
"name": "Botox 100 Units",
"manufacturer": "Allergan",
"type": "drug",
"description": "OnabotulinumtoxinA for injection, 100 units per vial",
"unitOfMeasure": "each",
"quantityPerUnit": 1,
"metadata": null,
"archivedAt": null,
"createdAt": "2025-01-10T12:00:00.000Z",
"updatedAt": "2025-01-15T08:30:00.000Z"
}
}
]
}
}{
"code": "bad_request",
"message": "'id' must be a valid UUID",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "unauthorized",
"message": "Invalid or missing API key",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "forbidden",
"message": "Insufficient scope",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "not_found",
"message": "Resource not found",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Maximum 1000 requests per 60 seconds.",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}Inventory
List products in an inventory change
Returns products associated with an inventory change. Requires read:inventory scope.
GET
/
inventory
/
changes
/
{id}
/
products
List products in an inventory change
